Skip to content

channels.deleteChannel

DELETE
/v1/organization/channels/{channelId}
curl --request DELETE \
--url https://example.com/v1/organization/channels/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "commandKey": "example" }'

Stops Channel work, then deletes the Channel and its links. Read the returned execution to wait for release. Its Chats stay.

channelId
required
string
>= 1 characters <= 128 characters
Media typeapplication/json
object
commandKey
required
string
>= 1 characters <= 128 characters

Example generated

{
"commandKey": "example"
}

Success

Media typeapplication/json
object
executionId
required
string
>= 1 characters <= 128 characters
commandKey
required
string
>= 1 characters <= 128 characters
sequence
required
integer
<= 9007199254740991

Example generated

{
"executionId": "example",
"commandKey": "example",
"sequence": 1
}

ChannelInvalid | OrganizationRequired

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: ChannelInvalid
message
required
string

Example

{
"_tag": "ChannelInvalid"
}

AuthenticationRequired

Media typeapplication/json
object
_tag
required
string
Allowed values: AuthenticationRequired

Example

{
"_tag": "AuthenticationRequired"
}

ExecutionForbidden | @nmnmcc/ability/Authorizer/Forbidden | MembershipRequired | ForbiddenOrigin

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: ExecutionForbidden

Example

{
"_tag": "ExecutionForbidden"
}

ExecutionNotFound | ChannelNotFound | ChannelIdentityNotFound

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: ExecutionNotFound
id
required
string
>= 1 characters <= 128 characters

Example

{
"_tag": "ExecutionNotFound"
}

ExecutionConflict | ExecutionKeyConflict | @nmnmcc/ability/Authorizer/Pending | ChannelConflict

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: ExecutionConflict
id
required
string
>= 1 characters <= 128 characters

Example

{
"_tag": "ExecutionConflict"
}

RateLimited

Media typeapplication/json
object
_tag
required
string
Allowed values: RateLimited
retryAfterSeconds
required
integer
>= -9007199254740991 <= 9007199254740991

Example

{
"_tag": "RateLimited"
}

ExecutionUnavailable | ChannelsUnavailable | AuthenticationUnavailable | RequestFailed

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: ExecutionUnavailable
errorId
required
string
>= 1 characters <= 128 characters

Example

{
"_tag": "ExecutionUnavailable"
}